Draft Move/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(4 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{docnav|[[Draft_Label|Label]]|[[Draft_Rotate|Rotate]]|[[Draft_Module|Draft_Module]]}}
|[[Draft_AnnotationStyleEditor|AnnotationStyleEditor]]
|[[Draft_Rotate|Rotate]]
|[[Draft_Module|Draft]]
|IconL=Draft_AnnotationStyleEditor.svg
|IconR=Draft_Rotate.svg
|IconC=Workbench_Draft.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 12: Line 19:
</div>
</div>


The Move tool can be used on 2D shapes created with the [[Draft Workbench]] or [[Sketcher Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part Workbench]] or [[Arch Workbench]].
The Move tool can be used on 2D shapes created with the [[Draft_Workbench|Draft Workbench]] or [[Sketcher_Workbench|Sketcher Workbench]], but can also be used on many types of 3D objects such as those created with the [[Part_Workbench|Part Workbench]] or [[Arch_Workbench|Arch Workbench]].


To produce various copies in different arrangements use [[Draft Array]], [[Draft PathArray]] and [[Draft PointArray]].
To produce various copies in different arrangements use [[Draft_Array|Draft Array]], [[Draft_PathArray|Draft PathArray]] and [[Draft_PointArray|Draft PointArray]].


[[Image:Draft_Move_example.jpg|400px]]
[[Image:Draft_Move_example.jpg|400px]]
Line 29: Line 36:


===Limitations===
===Limitations===
When moving an object that is based on a [[Sketcher Sketch]], for example, a feature created with the [[PartDesign Workbench]] ([[PartDesign Pad|Pad]], [[PartDesign Revolution|Revolution]], etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.
When moving an object that is based on a [[Sketcher_Sketch|Sketcher Sketch]], for example, a feature created with the [[PartDesign_Workbench|PartDesign Workbench]] ([[PartDesign_Pad|Pad]], [[PartDesign_Revolution|Revolution]], etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.


==Opciones==
==Opciones==
Line 85: Line 92:
}}
}}


{{Docnav
{{docnav|[[Draft_Label|Label]]|[[Draft_Rotate|Rotate]]|[[Draft_Module|Draft_Module]]}}
|[[Draft_AnnotationStyleEditor|AnnotationStyleEditor]]
{{Draft Tools navi}}
|[[Draft_Rotate|Rotate]]
{{Userdocnavi}}
|[[Draft_Module|Draft]]
|IconL=Draft_AnnotationStyleEditor.svg
|IconR=Draft_Rotate.svg
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 18:18, 28 December 2020

Draft Move

Ubicación en el Menú
Croquis -> Mover
Entornos de trabajo
Croquis
Atajo de teclado por defecto
M V
Introducido en versión
-
Ver también
Ninguno

Descripción

La herramienta Mover mueve o copia los objetos seleccionados de un punto a otro. Si no se han seleccionado objetos, te invita a seleccionarlos.

The Move tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Moving an object from one point to another point

Utilización

  1. Selecciona los objetos que deseas mover o copiar
  2. Presiona el botón Mover, o presiona las teclas M y V
  3. Designa un primer punto en la vista 3D, o tipo en coordenadas
  4. Designa otro punto en la vista 3D, o escribe unas coordenadas

Limitations

When moving an object that is based on a Sketcher Sketch, for example, a feature created with the PartDesign Workbench (Pad, Revolution, etc.) you must move the original sketch. If you move the derived object, it will just go back to the position defined by the sketch.

Opciones

  • Presiona X, Y o Z después de un punto para restringir el siguiente punto sobre el eje indicado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si está activado el modo relativas, las coordenadas del siguiente punto son relativas al punto anterior. En otro caso, son absolutas, tomadas desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta mover se reiniciará después de terminar, permitiendo mover o copiar los objetos otra vez sin volver a pulsar el botón de Mover.
  • Presionando ALT o C o seleccionando el botón Copy se creará una copia de los objetos, en lugar de moverlos. Si mantienes la tecla ALT pulsada después de designar el segundo punto, serás capaz de ubicar más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación con el último.
  • Presiona ESC o el botón Cancelar para abortar el comando actual.

Programación

La herramienta Mover se puede utilizar en macros y desde la consola de Pyython utilizando la siguiente función:

movedlist = move(objectslist, vector, copy=False)
  • Mueve el objeto dado o los objetos contenido en la lista indicada
en la dirección y distancia indicada por el vector dado. 
  • Si copymode es True, los objetos actuales no se moverán, sino que
en su lugar se crearán copias. 
  • Devuelve los objetos (o sus copias si copymode era True)

Ejemplo:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)